
@font-face {
  font-family: 'HannahFont'; /* Give your font a descriptive name */
  src: url('../Fonts/HannahFont-Regular.ttf') format('truetype'); /* Path to WOFF2 file */
  font-weight: normal; /* Optional: Define font weight if applicable */
  font-style: normal;  /* Optional: Define font style if applicable */
}

@media (max-width: 800px) {
  #folders {
    flex-direction: column;
    align-items: center;
  }
  #ui_folder, #gd_folder, #illus_folder{
    width: 100%;
  }

  #ui_page, #gd_page, #illus_page{
    width: 75%;
  }
}

body{
  background-color: #FFFDED;
  background-image: url(../Assets/Textures/Paper_Texture.png);
  background-size: cover;
  overflow-x: hidden;
  overflow-y:scroll;
  height:max-content;
}

nav{
  min-width:75%;
}

#nav{
  display: flex;
  justify-content: center;
}

#selected{
  font-weight: 500;
}

ul {
  list-style-type: none;
  background-color: #333333;
  display: flex;
  justify-content: space-between;
  padding-right: 10%;
  padding-left: 10%;
  border-radius: 1.5625rem;
  height: 5vw;
  align-items: center;
  font-size: 1.6vw;
  font-family: "Archivo", sans-serif;
  background: #F981FF;
  background-image: url(../Assets/Textures/Paper_Texture.png);
}

#self-title{
  justify-content: center;
  display: flex;
  color: #8B9BFF;
  text-align: center;
  text-shadow: 0 12px 11.7px #3A49A9;
  -webkit-text-stroke-width: 3px;
  -webkit-text-stroke-color: #8B9BFF;
  font-family: "Archivo";
  font-size: 11vw;
  font-style: normal;
  font-weight: 800;
  line-height: 85%;
  margin: 1rem;
}

ul li a {
  display: block;
  color: #3A49A9;
  padding: 14px 16px;
  text-decoration: none;
  font-weight: 100;
}

.rectangle{
  height: 8.25rem;
  background: linear-gradient(180deg, #8B9BFF 0%, #C5CBF6 43.5%, #EFEFEF 80%, #FFFDED 100%);
  margin:-1rem;
  position: absolute;
}

footer{
  background-image: url(../Assets/Textures/Paper_Texture.png), linear-gradient(360deg, #8B9BFF 27.16%, #C5CBF6 67.66%, #EFEFEF 86.16%, #FFFDED 100%);
  height: 30vw;
  margin: -1rem;
  padding-left:1rem;
  padding-right:1rem;
  left: 0;
  bottom:-10vw;
}


#footer-text{
  margin-left: 4vw;
  padding-top: 4vw;
  font-family: "HannahFont";
  font-size: 3vw;
  color: #3A49A9;
}

#collage{
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 95%;
}

h2{
  font-weight: 100;
}

p{
  font-family: "HannahFont";
  font-size: 3.25vw;
  color: #3A49A9;
  margin: 0;
}

#description{
  font-family: "Archivo", sans-serif;
  color:#3A49A9;
  font-weight: 200;
  font-size:larger;
  text-align: center;
  margin-top: 1rem;
  margin-bottom: 1.5rem;
}

#contact_text_area{
  position: relative;
  text-align: center;
}

#input-holder-name, #input-holder-email{
  text-align: center;
  clear: both;
  justify-content: center;
  position:relative;
}

#contact_box{
  width: 85vw;
  position:relative;
  margin: 5vw;
  margin-right: -1vw;
  margin-bottom: 0;
}


#name-input, #email-input{
  width: 85vw;
  height: 11vw;
  margin-bottom: -3vw;

}

.no-style-input {
  background-color: transparent; 
  border: none; 
  outline: none; 
  max-width: 53.5vw;
  min-width: 53.5vw;
  min-height: 43vw;
  max-height: 43vw;
  position: absolute;
  left: 20vw;
  top: 15vw;
  font-size: 1.75vw;
  z-index: 1;
}

.no-style-input-2 {
  background-color: transparent; 
  border: none; 
  outline: none; 
  max-width: 53.5vw;
  min-width: 53.5vw;
  min-height: 43vw;
  max-height: 43vw;
  position: absolute;
  font-size: 1.75vw;
  z-index: 1;
  left: 20vw;
  top: 1.5vw;
}

#name-field{
  max-width: 53.5vw;
  min-width: 53.5vw;
  min-height: 10vw;
  max-height: 10vw;
}

#email-field{
  max-width: 53.5vw;
  min-width: 53.5vw;
  min-height: 10vw;
  max-height: 10vw;
}

input::placeholder{
  color: rgb(50, 50, 50);
}

textarea::placeholder{
  color: rgb(50, 50, 50);
}

#submit{
  background-color:#F981FF;
  box-shadow: none;
  border-style:none;
  border-radius: 1rem;
  min-height: 5vw;
  min-width: 15vw;
  font-size: 2.5vw;
  color:#3A49A9;
  font-family: "Archivo", sans-serif;
  margin-top: 3vw;
  position: relative;
  z-index: 10;
}

#submit:hover{
  cursor: pointer;
}

#back{
  background-color:#F981FF;
  box-shadow: none;
  border-style:none;
  border-radius: 1rem;
  min-height: 5vw;
  min-width: 12vw;
  font-size: 2vw;
  color:#3A49A9;
  font-family: "Archivo", sans-serif;
  margin-top: 3vw;
  margin-left: 3vw;
  position: relative;
  z-index: 10;
  font-weight:300;
}

.back:hover{
  cursor: pointer;
}

#center{
  text-align: center;
  margin-top: -14vw;

}

#kid, #middle, #now{
  justify-content: center;
  width: 85%;
}

#younger, #teen, #adult{
  text-align: center;
}

#folders{
  display: inline-flex;
  justify-content: center;
}

#ui_folder, #gd_folder, #illus_folder{
  width: 100%;
}

#ui_page, #gd_page, #illus_page{
  width: 30%;
}

#footer_link{
  width: 10%
}

#ui_folder:hover {
  transform: translateY(-5px) scale(1.05); 
}

#gd_folder:hover {
  transform: translateY(-5px) scale(1.05); 
}

#illus_folder:hover {
  transform: translateY(-5px) scale(1.05); 
}

#figma_tape, #website_tape{
  width: 25%;
}

#fig_text{
  position:absolute;
  margin-top: 2%;
}

#figma_label, #website_label{
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  height: fit-content;
}

.iphone_preview{
  width: 20%;
}

.card {
  /* Add shadows to create the "card" effect */
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  background-color: white;
  width: 25%;
  margin: 2rem;
  border-radius: 5px; /* 5px rounded corners */
}

/* On mouse-over, add a deeper shadow */
.card:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  cursor: pointer; /* Add a pointer on hover */
}

.card_website {
  /* Add shadows to create the "card" effect */
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  background-color: white;
  width: 75%;
  margin: 2rem;
  border-radius: 5px; /* 5px rounded corners */
}

/* On mouse-over, add a deeper shadow */
.card_website:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  cursor: pointer; /* Add a pointer on hover */
}

/* Add some padding inside the card container */
.container {
  padding: 2px 16px;
}

.container_website {
  padding: 2px 16px;
}

/* Add rounded corners to the top left and the top right corner of the image */
.project_img {
  border-radius: 5px 5px 0 0;
  position: relative;
}

.websites_display{
  display: flex;
  justify-content: center;
}

.projects_display{
  display: flex;
}

.footer{
  display: flex;
  justify-content: space-evenly;
  margin-top: 5%;
}